> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/game-hosting/elements/host/hostmemory.md).

# Hostmemory

This element represents a memory slot of a [Host](/game-hosting/elements/host.md).

## Element structure

| Property     | Value type | Required  | Description                              |
| ------------ | ---------- | --------- | ---------------------------------------- |
| brand        | string     | Read-only | The brand name                           |
| model        | string     | Read-only | The model name                           |
| size         | int        | Read-only | Size in bytes                            |
| speed        | int        | Read-only | The speed this memory module runs at     |
| ecc          | int        | Read-only | Set to 1 if ecc is supported and enabled |
| memoryBank   | int        | Read-only | The bank this module sits is             |
| memoryType   | string     | Read-only | The type of memory module                |
| memorySlot   | string     | Read-only | The slot this module sits in             |
| memorySerial | string     | Read-only | The serial number of this module         |

Table 1: HostMemory element structure

## Element relation

The HostMemory element is part of the [Host](/game-hosting/elements/host.md) element and is not used stand-alone.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/game-hosting/elements/host/hostmemory.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
